<template>
  <div>
    <section
      class="relative bg-secondary h-[calc(25vh+80px)] md:h-[calc(25vh+80px)] flex items-center justify-center"
    >
      <img
        src="/recursos-banner.webp"
        class="absolute top-0 bottom-0 left-0 right-0 w-full h-full bg-center bg-cover select-none opacity-20"
        alt=""
        loading="lazy"
      />
      <div
        class="relative px-10 mx-auto text-center lg:px-0 lg:max-w-6xl mt-[40px]"
      >
        <h1
          class="relative bai flex flex-col items-center justify-center mb-10 text-3xl font-normal uppercase lg:flex-row text-primary lg:text-6xl bai mt-[40px]"
        >
          <div class="flex flex-col items-center justify-center lg:flex-row">
            {{ $t('resources.title') }}
          </div>
        </h1>
      </div>
    </section>

    <section class="relative py-16 bg-secondary">
      <div class="px-10 mx-auto lg:px-10 lg:max-w-6xl">
        <p
          class="text-base leading-10 whitespace-pre-line text-muted montserrat"
        >
          {{ $t('resources.text') }}
        </p>

        <!-- <div class="flex flex-col justify-start mt-16 space-x-0 space-y-8 items-left lg:flex-row lg:space-x-8 lg:space-y-0">
          <a href="/briefs/hoja-de-venta-hospedaje.pdf" download="Hoja de venta - Hospedaje" class="btn btn-primary">Descarga PDF</a>
        </div> -->
      </div>
    </section>

    <section class="relative py-16 bg-secondary">
      <div class="container px-10 mx-auto">
        <div class="grid grid-cols-1 gap-8 md:grid-cols-3">
          <div v-for="(item, index) in resources" :key="index">
            <!-- <div
              @mouseenter="playVideo(index)"
              @mouseleave="pauseVideo(index)"
              :id="`src-${index}-card`"
              class="relative overflow-hidden transition duration-500 ease-in-out border border-transparent lg:rounded-xl group hover:border-primary"
            > -->
            <div
              :id="`src-${index}-card`"
              class="relative overflow-hidden transition duration-500 ease-in-out border border-transparent lg:rounded-xl group hover:border-primary"
            >
              <div
                class="relative w-full overflow-hidden bg-muted min-h-80 aspect-w-1 aspect-h-1 h-80 lg:aspect-none"
              >
                <img
                  :src="`/recursos/${item.poster}`"
                  alt=""
                  class="relative object-cover object-center w-full h-full lg:w-full lg:h-full filter grayscale group-hover:grayscale-0"
                />

                <!-- <video :id="`src-${index}-video`"  loop muted class="relative object-cover object-center w-full h-full lg:w-full lg:h-full filter grayscale group-hover:grayscale-0">
                  <source :src="`/recursos/${item.video}.webm`" type="video/webm" />
                  <source :src="`/recursos/${item.video}.mp4`" type="video/mp4" />
                  Your browser does not support the video tag.
                </video> -->

                <span
                  class="absolute block right-1/2 w-[500px] h-[500px] transition-all duration-500 ease-in-out transform rounded-full top-full bg-primary text-secondary -translate-y-1/4 md:translate-y-0 group-hover:-translate-y-1/4 translate-x-1/2"
                >
                  <div class="relative w-5/6 mx-auto">
                    <span
                      class="absolute text-lg font-semibold text-center transform -translate-x-1/2 left-1/2 top-8 text-secondary md:text-2xl"
                    >
                      {{ item.title }}
                    </span>
                  </div>
                </span>

                <div class="text-center bg-primary">
                  <span
                    class="text-base font-semibold text-secondary md:text-2xl"
                  >
                    {{ item.title }}
                  </span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
export default {
  name: 'RecursosPage',

  nuxtI18n: {
    paths: {
      en: '/mine/resources',
      es: '/mina/recursos',
    },
  },

  computed: {
    resources() {
      return this.$t('resources.resources')
    },
  },

  methods: {
    playVideo(index) {
      const video = document.getElementById(`src-${index}-video`)
      video.play()
    },
    pauseVideo(index) {
      const video = document.getElementById(`src-${index}-video`)
      video.pause()
    },
  },
}
</script>

<style></style>
